Skip to main content

Get Link History

GET 

/users/v1/history/link

Get the Link history for a given user

Required Permissions:

  • For any player, person or platform identity (including themselves) any of: user:*, user:audit:any

  • For the player, person or platform identity themselves : user:audit:self

Request

Query Parameters

    player_uuid uuid

    The player UUID to audit

    person_id uuid

    The person ID to audit

    platform any

    The platform to audit

    platform_user_id Platform User Id

    Possible values: <= 2048 characters

    The platform user ID to audit

    continuation_token Continuation Token

    Token to retrieve the next page of results

Responses

Successful Response

Schema

    entries

    object[]

    required

    The link history entries

  • Array [

  • entry_id Entry Id (string)

    entry ID

    player_uuid uuid

    player UUID

    platform Platform (string)

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    An enumeration.

    platform_user_id Platform User Id (string)

    Possible values: <= 2048 characters

    platform user ID

    person_id uuid

    person ID

    active_player_uuid uuid

    active player UUID

    action LinkAction (string)required

    Possible values: [link, unlink, new_person, xprog_enable, xprog_disable]

    An enumeration.

    timestamp date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

  • ]

  • continuation_token Continuation Token (string)

    Token to retrieve the next page of results

Loading...